CHECK_MULTI(8)

NAME
check_multi - nagios plugin to combine multiple service checks in one run

DESCRIPTION
Usage: check_multi -f <config file> [-n name] [-t timeout] [-T TIMEOUT]

    [-r level] [-l libexec_path] [-s option=value]

check_multi [-h | --help] [-hh extended help] [-hhh complete help] check_multi [-v | --verbose] check_multi [-V | --version]

[ more infos on http://my-plugin.de/check_multi ]

Common options: -f, --filename

    config file which contains commands to be executed multiple files can be specified serially if filename is a directory, all '.cmd' files will be taken (file format follows nrpe style: command[tag]=plugin command line)

-n, --name

    multi plugin name (shown in output), default:

-r, --report <level>

    specify level of details in output (level is binary coded, just sum up all options) default:13 see more details with extended help option -hh

-s, --set <option>=<value>

    <KEY>=<VALUE> - set multi variable $<KEY>$ to <VALUE> see more details with complete help option -hhh

-t, --timeout

    timeout for one command, default:11

-T, --TIMEOUT

    TIMEOUT for all commands, default:60

-l, --libexec

    path to plugins, default:/usr/lib/nagios/plugins

-h, --help

    print detailed help screen (extended help with -hh, complete help with -hhh)

-v, --verbose

    prints debug output (multiple -v extend debug level)

-V, --version

    print version information

Extended command line - command file options also available on command line: -x, --execute "command [ tag ] = check_xyz" -i, --instant "tag" -y, --inventory -w, --warning <expression> -c, --critical <expression> -u, --unknown <expression> -o, --ok <expression>